#
# Conditional build:
%bcond_without	static_libs # don't build static libraries
#
Summary:	Command line and configuration file parsing library
Summary(pl.UTF-8):	Biblioteka do analizy linii poleceń i plików konfiguracyjnych
Name:		libcfg+
Version:	0.6.2
Release:	4
License:	GPL
Group:		Libraries
#Source0Download: http://opensource.platon.sk/projects/main_page.php?project_id=3
Source0:	http://platon.sk/upload/_projects/00003/%{name}-%{version}.tar.gz
# Source0-md5:	e117a2d054c5f5831fdb5ed27c26d767
Patch0:		%{name}-make.patch
URL:		http://platon.sk/projects/libcfg+/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libcfg+ is a C library that features multi- command line and
configuration file parsing. It is possible to set up various special
properties such as quoting characters, deliminator strings, file
comment prefixes, multi-line postfixes, and more. It supports many
data types such as booleans, integers, decimal numbers, strings with
many additional data type flags (such as multiple values for a single
option).

%description -l pl.UTF-8
libcfg+ to biblioteka w C do analizy linii poleceń i plików
konfiguracyjnych. Można ustawiać różne specjalne własności, takie jak
znaki cytowania, łańcuch ograniczające, prefiksy komentarzy w plikach,
wieloliniowe postfiksy i inne. Biblioteka obsługuje wiele typów
danych, takich jak logiczne, liczby całkowite, liczby dziesiętne,
łańcuchy z wieloma dodatkowymi flagami typów (takimi jak wiele
wartości dla jednej opcji).

%package devel
Summary:	Header files for libcfg+ library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libcfg+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libcfg+ library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libcfg+.

%package static
Summary:	Static libcfg+ library
Summary(pl.UTF-8):	Statyczna biblioteka libcfg+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libcfg+ library.

%description static -l pl.UTF-8
Statyczna biblioteka libcfg+.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
%{__autoconf}
%{__autoheader}
CFLAGS="%{rpmcflags} -fPIC"
%configure \
	%{!?with_static_libs:--enable-static=no}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

# clean docdir
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/html/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/platon
%{_includedir}/cfg*.h
%{_mandir}/man3/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcfg+.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> a199e0b
- x32 rebuild
- release 4 (by relup.sh)

* Mon Feb 18 2013 Elan Ruusamäe <glen@delfi.ee> 3392ef3
- adapter

* Sat Feb 16 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f92a61
- clean docdir first

* Wed Dec 12 2012 Jan Rękorajski <baggins@pld-linux.org> ab0a2b9
- disable parallel install

* Thu Sep 06 2007 Jan Rękorajski <baggins@pld-linux.org> 9becfa8
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7edbd42
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8386e39
- converted to UTF-8

* Sat Jun 18 2005 twittner <twittner@pld-linux.org> 3fabde2
- added bcond_without static_libs

* Sat Apr 24 2004 Jakub Bogusz <qboosh@pld-linux.org> 33a55f4
- use PIC, release 2

* Sat Apr 24 2004 Jakub Bogusz <qboosh@pld-linux.org> 3afe584
- new

* Sat Apr 24 2004 Jakub Bogusz <qboosh@pld-linux.org> eb4848d
- use CC to link library, add soname, use .so links for manuals

